public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-pkcs11/
Date: Thu,  9 May 2024 20:49:17 +0000 (UTC)	[thread overview]
Message-ID: <1715287717.478ab5e7eac201c515cbebf14a6918ec372b7763.sam@gentoo> (raw)

commit:     478ab5e7eac201c515cbebf14a6918ec372b7763
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sat Apr 13 21:43:38 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May  9 20:48:37 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=478ab5e7

app-crypt/tpm2-pkcs11: Add Python 3.12 support

Closes: https://bugs.gentoo.org/929294

Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.9.0-r2.ebuild | 70 +++++++++++++++++++++++
 1 file changed, 70 insertions(+)

diff --git a/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.9.0-r2.ebuild b/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.9.0-r2.ebuild
new file mode 100644
index 000000000000..2efa0a2d8d04
--- /dev/null
+++ b/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.9.0-r2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="sqlite"
+
+inherit autotools python-single-r1
+
+DESCRIPTION="A PKCS#11 interface for TPM2 hardware"
+HOMEPAGE="https://tpm2-software.github.io/"
+SRC_URI="https://github.com/tpm2-software/tpm2-pkcs11/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="fapi test"
+REQUIRED_USE="( ${PYTHON_REQUIRED_USE} )"
+
+# Units tests only for now
+RESTRICT="!test? ( test )"
+
+RDEPEND="${PYTHON_DEPS}
+	app-crypt/p11-kit
+	app-crypt/tpm2-abrmd
+	app-crypt/tpm2-tools[fapi?]
+	!fapi? ( app-crypt/tpm2-tss:= )
+	fapi? ( >=app-crypt/tpm2-tss-3.0.1:=[fapi] )
+	dev-db/sqlite:3
+	dev-libs/libyaml
+	dev-libs/openssl:=
+	$(python_gen_cond_dep '
+	dev-python/bcrypt[${PYTHON_USEDEP}]
+	dev-python/cryptography[${PYTHON_USEDEP}]
+	dev-python/pyasn1[${PYTHON_USEDEP}]
+	dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/tpm2-pytss[${PYTHON_USEDEP}]
+	')
+"
+
+DEPEND="test? ( dev-util/cmocka )
+	${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+	dev-build/autoconf-archive
+	virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-1.9.0-Remove-incorrect-append-in-configure-ac.patch"
+)
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_enable fapi) \
+		$(use_enable test unit)
+}
+
+src_install() {
+	default
+	python_domodule tools/tpm2_pkcs11
+	python_newscript tools/tpm2_ptool.py tpm2_ptool
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2024-05-09 20:49 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-09 20:49 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-09 20:49 [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-pkcs11/ Sam James
2023-02-15 14:08 Viorel Munteanu
2023-02-15 14:08 Viorel Munteanu
2023-01-24 10:01 Joonas Niilola
2022-12-24  2:59 Sam James
2022-04-23  6:25 Joonas Niilola
2022-04-23  6:25 Joonas Niilola
2021-09-28  6:17 Joonas Niilola
2021-09-28  6:17 Joonas Niilola
2021-05-19  6:48 Joonas Niilola
2021-05-19  6:48 Joonas Niilola
2021-04-25  8:00 Michał Górny
2020-11-20 11:45 Joonas Niilola
2020-11-20 11:45 Joonas Niilola
2020-10-08  6:57 Joonas Niilola
2020-09-12  8:32 Joonas Niilola
2020-09-12  8:32 Joonas Niilola
2020-09-12  8:32 Joonas Niilola
2020-08-08  9:04 Joonas Niilola
2020-08-08  9:04 Joonas Niilola
2020-07-20  9:01 Joonas Niilola
2020-07-20  9:01 Joonas Niilola
2020-05-13 13:17 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1715287717.478ab5e7eac201c515cbebf14a6918ec372b7763.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox